﻿@using System.Web.UI.WebControls
@using Portal.Models.Globals;

<table border="0" width="100%" style="margin-right:-8px;">
    <tr>
        <td width="100px">
            @Html.DevExpress().Label(
                setting =>
                {
                    setting.Name = "LblSupplierCode";
                    setting.Text = "Supplier Code<b style=\"color:red;\">*</b>";
                    setting.EncodeHtml = false;
                }).GetHtml()
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "GrlSupplier";
                    gridLookup.Width = 120;
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "RetroInquiry", Action = "GridLookupSupplier" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    //gridLookup.Text = TempData["SupplierCode"] as string;
                    //gridLookup.ReadOnly = true;

                    if (Model.GetModel<List<SupplierICS>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                    }

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_CD";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPP_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    // authorization code
                    int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("RetroInquiry", "GrlSupplier");

                    switch (auth)
                    {
                        case 0:
                            gridLookup.Enabled = false;
                            break;
                        case 1:
                            gridLookup.Enabled = false;
                            break;
                        case 2:
                            gridLookup.Enabled = true;
                            break;
                        default:
                            gridLookup.Enabled = true;
                            break;
                    }
                    
                //}).Bind(ViewData["SupplierData"]).GetHtml()
                }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>
        <td></td>
        <td></td>
        <td width="80px" style="padding-left:24px">
            @Html.DevExpress().Label(
                setting =>
                {
                    setting.Name = "LblRetroDocNo";
                    setting.Text = "Retro Doc No.";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                setting =>
                {
                    setting.Name = "TxtRetroDoc";
                    setting.Width = Unit.Pixel(120);
                }).GetHtml()
        </td>
        <td width="auto"></td>
    </tr>
    <tr>
        <td>
                @Html.DevExpress().Label(
                setting =>
                {
                    setting.Name = "LblPeriodeFrom";
                    setting.Text = "Periode From<b style=\"color:red;\">*</b>";
                    setting.EncodeHtml = false;
                }).GetHtml()
        </td>
        <td width="120px">
            @Html.DevExpress().DateEdit(
                setting =>
                {
                    setting.Name = "DtePeriodeFrom";
                    setting.Width = Unit.Pixel(120);
                    setting.Properties.DisplayFormatString = "dd.MM.yyyy";
                    setting.Properties.EditFormatString = "dd.MM.yyyy";
                    setting.Properties.ClientSideEvents.Init = "GetYesterday";
                }).GetHtml()
        </td>
        <td width="20px" style="text-align:right">
                @Html.DevExpress().Label(
                setting =>
                {
                    setting.Name = "LblPeriodeTo";
                    setting.Text = "To";
                }).GetHtml()
        </td>
        <td width="120px">
            @Html.DevExpress().DateEdit(
                setting =>
                {
                    setting.Name = "DtePeriodeTo";
                    setting.Width = Unit.Pixel(120);
                    setting.Properties.DisplayFormatString = "dd.MM.yyyy";
                    setting.Properties.EditFormatString = "dd.MM.yyyy";
                    setting.Properties.ClientSideEvents.Init = "GetToday";
                }).GetHtml()
        </td>
        <td style="padding-left:24px">
            @Html.DevExpress().Label(
                setting =>
                {
                    setting.Name = "LblStatusRetro";
                    setting.Text = "Status Retro";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                setting =>
                {
                    setting.Name = "CmbStatusRetro";
                    setting.Width = Unit.Pixel(120);
                    setting.Properties.Items.Add("Posted");
                    setting.Properties.Items.Add("Closed");
                }).GetHtml()
        </td>
        <td>
            <table border="0" width="100%">
                <tr>
                    <td align="right" >
                        @Html.DevExpress().Button(
                            b => {
                                b.Name = "BtnDownload";
                                b.Text = "Download";
                                b.Width = Unit.Pixel(80);
                                b.ClientSideEvents.Click = "OnDownload";
                            }).GetHtml()
                    </td>
                    <td width="80px" align="right">
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "BtnSearch";
                                setting.Text = "Search";
                                setting.Width = Unit.Pixel(60);
                                setting.ClientSideEvents.Click = "OnSearch";
                            }).GetHtml()
                    </td>
                    <td width="80px">
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "BtnClear";
                                setting.Text = "Clear";
                                setting.Width = Unit.Pixel(60);
                                setting.ClientSideEvents.Click = "OnClear";
                            }).GetHtml()
                    </td>
                
                </tr>
            </table>
        </td>
    </tr>
</table>